global:
  imagePullSecrets:
  - oschub

mysqlImage: registry.baidubce.com/gitee-prod/mysql:5.7.32

xtraBackupImage: registry.baidubce.com/gitee-prod/xtrabackup:1.0

fullnameOverride: gitee-mysql

mysqlha:
  mysqlRootPassword: admin@2020
  mysqlReplicationUser: replication
  mysqlReplicationPassword: admin@2020
  master:
    replicaCount: 1
    resources:
      requests:
        cpu: 500m
        memory: 1Gi
      limits:
        cpu: 2
        memory: 8Gi
    persistence:
      storageClass: managed-nfs-storage
      accessModes:
      - ReadWriteMany
      size: 100Gi
  backup:
    replicaCount: 1
    resources:
      requests:
        cpu: 500m
        memory: 1Gi
      limits:
        cpu: 2
        memory: 8Gi
    persistence:
      storageClass: managed-nfs-storage
      accessModes:
      - ReadWriteMany
      size: 100Gi

haproxy:
  fullnameOverride: gitee-mysql-haproxy
  image:
    repository: registry.baidubce.com/gitee-prod/gitee-mysql-haproxy
    pullPolicy: Always
    tag: v1.0.3
  imagePullSecrets:
    - name: oschub
  endpoint:
    mysql:
      main:
        host: gitee-mysql-announce
        port: 3306
      backup:
        host: gitee-mysql-backup-announce
        port: 3306
  resources:
    requests:
      cpu: 100m
      memory: 128Mi
    limits:
      cpu: 500m
      memory: 256Mi
  init:
    image:
      repository: registry.baidubce.com/gitee-public/gitee-proxy-config-init
      tag: v1.0.0
      pullPolicy: IfNotPresent
  switch:
    image:
      repository: registry.baidubce.com/gitee-public/gitee-switch-server
      tag: v1.0.2

metrics:
  image: registry.baidubce.com/gitee-prod/prom/mysqld-exporter
  imageTag: v0.10.0
  enabled: true
  serviceMonitor:
    enabled: true
  prometheusRule:
    enabled: true
nodeAffinityPreset:
  type: ""
  key: "kubernetes.io/node-type"